Get Run Results By Symbol
curl --request GET \
--url https://api.example.com/api/graph/v1/backtest/v2/run/{run_id}/results/by-symbolimport requests
url = "https://api.example.com/api/graph/v1/backtest/v2/run/{run_id}/results/by-symbol"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/graph/v1/backtest/v2/run/{run_id}/results/by-symbol', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}backtest-v2
Get Run Results By Symbol
Get per-symbol performance attribution for a backtest run.
Returns the full by_symbol breakdown for lazy-loading in the frontend when full results are already cached. Computes trade count, win rate, P&L metrics, max drawdown, profit factor, and portfolio contribution for each symbol traded.
GET
/
api
/
graph
/
v1
/
backtest
/
v2
/
run
/
{run_id}
/
results
/
by-symbol
Get Run Results By Symbol
Path Parameters
Response
Successful Response